import 'package:flutter/material.dart';
import 'package:flutter_msg/src/store_builder.dart';
import 'package:msg/msg.dart';

extension Bind<Model> on StoreBase<Model> {
  Widget bind(Widget Function(Model model) builder) =>
      StoreBuilder<Model, Model>(
        store: this,
        selector: (model) => model,
        builder: (_, model) => builder(model),
      );
}
